ServerEvents.recipes(event => {

event.recipes.createMechanicalExtruderExtruding(
Item.of('kubejs:alumi_stone'),[
Fluid.of('minecraft:lava'),
Item.of('immersiveengineering:raw_block_aluminum')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:andesite'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:gravel')]
).withCatalyst('supplementaries:flint_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('create:asurine'),[
Fluid.of('minecraft:lava'),
Item.of('create:raw_zinc_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:blackstone'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:blue_ice')]
)

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:cobbled_deepslate'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:packed_ice')]
)

event.recipes.createMechanicalExtruderExtruding(
Item.of('create:crimsite'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:raw_iron_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:deepslate'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:packed_ice')]
).withCatalyst('minecraft:magma_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:diorite'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:calcite')]
).withCatalyst('supplementaries:flint_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:granite'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:red_sand')]
).withCatalyst('supplementaries:flint_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('kubejs:lead_stone'),[
Fluid.of('minecraft:lava'),
Item.of('thermal:raw_lead_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:netherrack'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:red_nether_bricks')]
).withCatalyst('minecraft:gilded_blackstone')

event.recipes.createMechanicalExtruderExtruding(
Item.of('kubejs:nickel_stone'),[
Fluid.of('minecraft:lava'),
Item.of('thermal:raw_nickel_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('create:ochrum'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:raw_gold_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('kubejs:silver_stone'),[
Fluid.of('minecraft:lava'),
Item.of('thermal:raw_silver_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('kubejs:tin_stone'),[
Fluid.of('minecraft:lava'),
Item.of('thermal:raw_tin_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('create:veridium'),[
Fluid.of('minecraft:lava'),
Item.of('minecraft:raw_copper_block')]
).withCatalyst('create:experience_block')

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:stone'),[
Fluid.of('minecraft:lava'),
Fluid.of('minecraft:water')]
).withCatalyst('minecraft:magma_block')

event.remove({id:'create_mechanical_extruder:extruding/stone'})

event.recipes.createMechanicalExtruderExtruding(
Item.of('minecraft:tuff'),[
Fluid.of('minecraft:lava'),
Fluid.of('createcafe:caramel_syrup')]
).withCatalyst('trials:chiseled_tuff_bulb')

})